TransferInfo (scheduler-portlet 2.0.1-SNAPSHOT API)
Date: 2013-10-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.portlets.user.shared.obj
Class TransferInfo

    java.lang.Object
      org.gcube.datatransfer.portlets.user.shared.obj.TransferInfo

All Implemented Interfaces:
  com.kfuntak.gwt.json.serialization.client.JsonSerializable

    public class TransferInfo

extends Object
implements com.kfuntak.gwt.json.serialization.client.JsonSerializable

Field Summary
`long` | `bytes_have_been_transferred`
`int` | `numOfUpdates`
`String[]` | `objectFailedIDs`
`String[]` | `objectTrasferredIDs`
`double` | `progress`
`String` | `status`
`String` | `submittedDate`
`Date` | `submittedDate2`
`String` | `submitter`
`long` | `total_size`
`List<String>` | `transferError`
`String` | `transferId`
`String` | `transferIdOfAgent`
`String` | `typeOfScheduleString`

Constructor Summary
`TransferInfo()`

Method Summary
`double` | `calculateProgress()`
`long` | `getBytes_have_been_transferred()`
`int` | `getNumOfUpdates()`
`String[]` | `getObjectFailedIDs()`
`String[]` | `getObjectTrasferredIDs()`
`double` | `getProgress()`
`String` | `getStatus()`
`String` | `getSubmittedDate()`
`Date` | `getSubmittedDate2()`
`String` | `getSubmitter()`
`long` | `getTotal_size()`
`List<String>` | `getTransferError()`
`String` | `getTransferId()`
`String` | `getTransferIdOfAgent()`
`String` | `getTypeOfScheduleString()`
`void` | `setBytes_have_been_transferred(long bytes_have_been_transferred)`
`void` | `setNumOfUpdates(int numOfUpdates)`
`void` | `setObjectFailedIDs(String[] objectFailedIDs)`
`void` | `setObjectTrasferredIDs(String[] objectTrasferredIDs)`
`void` | `setProgress(double progress)`
`void` | `setStatus(String status)`
`void` | `setSubmittedDate(String submittedDate)`
`void` | `setSubmittedDate2(Date submittedDate2)`
`void` | `setSubmitter(String submitter)`
`void` | `setTotal_size(long total_size)`
`void` | `setTransferError(List<String> transferError)`
`void` | `setTransferId(String transferId)`
`void` | `setTransferIdOfAgent(String transferIdOfAgent)`
`void` | `setTypeOfScheduleString(String typeOfScheduleString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeOfScheduleString

    public String typeOfScheduleString

### transferId

    public String transferId

### submitter

    public String submitter

### status

    public String status

### submittedDate

    public String submittedDate

### submittedDate2

    public Date submittedDate2

### objectTrasferredIDs

    public String[] objectTrasferredIDs

### objectFailedIDs

    public String[] objectFailedIDs

### transferError

    public List<String> transferError

### transferIdOfAgent

    public String transferIdOfAgent

### total_size

    public long total_size

### bytes_have_been_transferred

    public long bytes_have_been_transferred

### progress

    public double progress

### numOfUpdates

    public int numOfUpdates

Constructor Detail

### TransferInfo

    public TransferInfo()

Method Detail

### calculateProgress

    public double calculateProgress()

### getTypeOfScheduleString

    public String getTypeOfScheduleString()

### setTypeOfScheduleString

    public void setTypeOfScheduleString(String typeOfScheduleString)

### getTransferId

    public String getTransferId()

### setTransferId

    public void setTransferId(String transferId)

### getSubmitter

    public String getSubmitter()

### getNumOfUpdates

    public int getNumOfUpdates()

### setNumOfUpdates

    public void setNumOfUpdates(int numOfUpdates)

### setSubmitter

    public void setSubmitter(String submitter)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String status)

### getObjectTrasferredIDs

    public String[] getObjectTrasferredIDs()

### setObjectTrasferredIDs

    public void setObjectTrasferredIDs(String[] objectTrasferredIDs)

### getObjectFailedIDs

    public String[] getObjectFailedIDs()

### setObjectFailedIDs

    public void setObjectFailedIDs(String[] objectFailedIDs)

### getTransferError

    public List<String> getTransferError()

### setTransferError

    public void setTransferError(List<String> transferError)

### getTransferIdOfAgent

    public String getTransferIdOfAgent()

### setTransferIdOfAgent

    public void setTransferIdOfAgent(String transferIdOfAgent)

### getSubmittedDate

    public String getSubmittedDate()

### setSubmittedDate

    public void setSubmittedDate(String submittedDate)

### getSubmittedDate2

    public Date getSubmittedDate2()

### setSubmittedDate2

    public void setSubmittedDate2(Date submittedDate2)

### getProgress

    public double getProgress()

### setProgress

    public void setProgress(double progress)

### getTotal_size

    public long getTotal_size()

### getBytes_have_been_transferred

    public long getBytes_have_been_transferred()

### setTotal_size

    public void setTotal_size(long total_size)

### setBytes_have_been_transferred

    public void setBytes_have_been_transferred(long bytes_have_been_transferred)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.